OPAM-INSTALLER(1)

NAME

opam-installer - Handles (un)installation of package files following instructions from OPAM *.install files.

SYNOPSIS

opam-installer [OPTION]... [PKG.install]

ARGUMENTS

PKG.install
    The OPAM .install file to read for installation instructions

OPTIONS

--docdir=PATH
    Documentation dir. Relative to prefix or absolute. By default $($prefix)/doc.

--help[=FMT] (default=pager)
    Show this help in format FMT (pager, plain or groff).

-i, --install
    Install the package (the default)

--libdir=PATH
    OCaml lib dir. Relative to prefix or absolute. By default $($prefix)/lib ; sometimes setting this to $($)(ocamlc -where) is preferable.

--mandir=PATH
    Manpages dir. Relative to prefix or absolute. By default $($prefix)/man.

--name=NAME
    Specify the package name. Used to set install directory under `share/', etc. By default, basename of the .install file

--prefix=PREFIX (absent=/usr/local)
    The prefix to install to. You can use eg '$($)$($PREFIX)' to output a relocatable script

--script
    Don't execute the commands, but output a shell-script (experimental)

--stubsdir=PATH
    Stubs installation dir. Relative to prefix or absolute. By default $($libdir)/stublibs.

--topdir=PATH
    Toplevel install dir. Relative to prefix or absolute. By default $($libdir)/toplevel.

-u, --uninstall, --remove
    Remove the package

--version
    Show version information.